
Figure - Bug #117482
【IOVDEV-20326】【IOV测试】【VC1】【SORP】【副屏】【实车341】打开虎牙app，车机自动静音
2023-04-14 13:50 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0062.C101��副屏版本：0090

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: ST Root cause: 由于当前副屏不能给中控发送mute_on，所以优化了这部分。

Description

【前提条件】

实车341

【操作步骤】

1.点击打开虎牙直播

【实际结果】

整车自动静音

【期望结果】

正常进入虎牙app，无其他异常

【时间】

4月1号  17:36

【备注】

VIN:LJD8BB3F0P0000341

LOG已经上传云

EE环境

History

#1 - 2023-04-14 16:28 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

此问题是Audio类问题，请帮忙分析

#2 - 2023-04-15 12:32 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL
■ 当前分析

04-10 01:39:34.854 17595 17595 W com.duowan.kiw: Accessing hidden field Ljava/util/Collections$SynchronizedCollection;->mutex:Ljava/lang/Object; (max-target-o,

reflection, denied)

04-10 01:39:37.561 17595 17595 W AudioManager: setStreamMute is deprecated. adjustStreamVolume should be used instead.

04-10 01:39:37.562   994 11103 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroAudioMute

04-10 01:39:37.562   994 11103 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}}

04-10 01:39:37.634  2146 18490 I MicroService: onResponse(setMute): {"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}}

根据以上日志

当前分析，虎牙APP在打开时会主动调用setstreammute静音当前流。

由于当前副屏不能给中控发送mute_on,但是该接口中控是否需要对应处理，还需要和中控讨论。

#3 - 2023-04-18 14:53 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Degrated changed from -- to No

HI 永红

当前内部可以处理，提交已经生成，开飞自测OK，请测试帮忙验证，谢谢

提交

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194212

VB地址：

Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230417/202304171649-385

#4 - 2023-04-20 16:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194212 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: SetStreamMute do not syncSetStreamMute do not syncTC-RID: 0301-0900116IssueID: TS-R-BUG-117482Change-Id:

Idc49f0dda5255b5cd7ad8aa17ee54f6e2c4442ea

#5 - 2023-04-20 16:09 - Multimedia组-RD3_TSCD 梁卿山

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-20

- Root cause set to 由于当前副屏不能给中控发送mute_on，所以优化了这部分。

Hi 永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194212


该提交已经合并，请使用4/20后的版本验证，谢谢！

#6 - 2023-04-20 18:52 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

#7 - 2023-04-21 11:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21

验证通过

#8 - 2023-04-21 11:37 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

虎牙导致静音.mp4 4.31 MB 2023-04-14 物联网测试组_TSCD 王维
